<template>
    <v-row no-gutters justify="center" class="bg-grey pt-10">
        <v-col cols="3">
            <h2 class="text-center">Créez votre compte</h2>
            <v-text-field v-model="email" label="Email" type="email"/>
            <v-text-field v-model="username" label="Nom d'utilisateur"/>
            <v-text-field v-model="password" type="password" label="Mot de passe"/>
            <v-text-field v-model="repeatPassword" type="password" label="Répéter le mot de passe"/>
            <v-btn block @click="signup">Créer son compte</v-btn>
            <div class="text-center">
                <v-btn @click="loginGoogle" block class="my-3">
                    <v-icon>mdi-google</v-icon>
                    Se connecter avec google
                </v-btn>
            </div>
            <div class="hover-text" @click="$router.push({ name: 'login' })">Vous avez déjà un compte ?</div>
        </v-col>
    </v-row>
</template>

<script>
export default {
    name: "LoginView",
    data() {
        return {
            email: '',
            username: '',
            password: '',
            repeatPassword: ''
        }
    },
    methods: {
        async loginGoogle() {
            try {
                await this.$store.dispatch('user/loginGoogle');
                await this.$router.push({ name: 'home' });
            } catch (e) {
                console.error(e);
            }
        },
        async signup() {
            try {
                const payload = {
                    email: this.email,
                    username: this.username,
                    password: this.password,
                }
                await this.$store.dispatch('user/signup', payload);
                await this.$router.push({ name: 'home' });
            } catch (e) {
                console.error(e);
            }
        }
    }
};
</script>

<style>
.hover-text:hover {
    text-decoration: underline;
}
.hover-text {
    cursor: pointer;
}
</style>
